package com.tmax.openframe.file;

import org.mapstruct.*;
import org.mapstruct.factory.*;
import ch.obermuhlner.math.big.BigDecimalMath;
import com.tmax.openframe.dataset.*;
import com.tmax.openframe.variable.group.OFCB001_IN_REC;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
@Mapper()
public interface OFCB001_OFCB001_FD_IN_CUSTOMER_FILE_DoToOFCB001_IN_RECMapper {
    OFCB001_OFCB001_FD_IN_CUSTOMER_FILE_DoToOFCB001_IN_RECMapper INSTANCE = Mappers
            .getMapper(OFCB001_OFCB001_FD_IN_CUSTOMER_FILE_DoToOFCB001_IN_RECMapper.class);

    @Mapping(source = "IN_CUSTOMER_NUMBER", target = "IN_CUSTOMER_NUMBER")
    @Mapping(source = "IN_FIRST_NAME", target = "IN_FIRST_NAME")
    @Mapping(source = "IN_LAST_NAME", target = "IN_LAST_NAME")
    @Mapping(source = "IN_ADDRESS", target = "IN_ADDRESS")
    @Mapping(source = "IN_CITY", target = "IN_CITY")
    @Mapping(source = "IN_STATE", target = "IN_STATE")
    @Mapping(source = "IN_ZIP_CODE", target = "IN_ZIP_CODE")
    @Mapping(source = "IN_LAST_UPDATE", target = "IN_LAST_UPDATE")
    OFCB001_IN_REC toOFCB001_IN_REC(
            OFCB001_OFCB001_FD_IN_CUSTOMER_FILE_Do source);

    @Mapping(source = "IN_CUSTOMER_NUMBER", target = "IN_CUSTOMER_NUMBER")
    @Mapping(source = "IN_FIRST_NAME", target = "IN_FIRST_NAME")
    @Mapping(source = "IN_LAST_NAME", target = "IN_LAST_NAME")
    @Mapping(source = "IN_ADDRESS", target = "IN_ADDRESS")
    @Mapping(source = "IN_CITY", target = "IN_CITY")
    @Mapping(source = "IN_STATE", target = "IN_STATE")
    @Mapping(source = "IN_ZIP_CODE", target = "IN_ZIP_CODE")
    @Mapping(source = "IN_LAST_UPDATE", target = "IN_LAST_UPDATE")
    OFCB001_OFCB001_FD_IN_CUSTOMER_FILE_Do toOFCB001_OFCB001_FD_IN_CUSTOMER_FILE_Do(
            OFCB001_IN_REC source);
}
